org.eclipse.gef.util

## Class FlagSupport

- java.lang.Object
- - org.eclipse.gef.util.FlagSupport

Direct Known Subclasses:
  AbstractTool, AbstractTool.Input

    public class FlagSupport
    extends java.lang.Object

A structure for storing multiple flags compactly using a 32-bit `int`.

### Constructor Summary

Constructors
Constructor and Description
`FlagSupport()`

### Method Summary

Methods
`protected boolean` `getFlag(int flag)` Returns `true` the flag (or one of the flags) indicated by the given bitmask is set to true.
`protected void` `setFlag(int flag, boolean value)` Sets the flag (or all of the flags) indicated by the given bitmask to the given value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FlagSupport

    public FlagSupport()

### Method Detail

#### getFlag

    protected boolean getFlag(int flag)

Returns `true` the flag (or one of the flags) indicated by the given bitmask is set to true.

Parameters:
  `flag` - the bitmask of a flag or flags
Returns:
  `true` if one of the flags is true

#### setFlag

    protected void setFlag(int flag,
               boolean value)

Sets the flag (or all of the flags) indicated by the given bitmask to the given value.

Parameters:
  `flag` - the bitmask of the flag or flags
  `value` - the new value